Package com.opensymphony.module.sitemesh.taglib.decorator

# Class UseHTMLPageTEI

java.lang.Object
javax.servlet.jsp.tagext.TagExtraInfo
com.opensymphony.module.sitemesh.taglib.decorator.UsePageTEI
com.opensymphony.module.sitemesh.taglib.decorator.UseHTMLPageTEI

public class UseHTMLPageTEI extends UsePageTEI
TagExtraInfo implementation to expose HTMLPage object as variable.

Version:
  $Revision: 1.1 $
Author:
  Joe Walnes
See Also:
  - `UsePageTag`
  - `UsePageTEI`

## Constructor Summary

Constructors
Constructor
Description
`UseHTMLPageTEI()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getType()`

### Methods inherited from class com.opensymphony.module.sitemesh.taglib.decorator.UsePageTEI

`getVariableInfo`

### Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo

`getTagInfo, isValid, setTagInfo, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UseHTMLPageTEI

public UseHTMLPageTEI()

## Method Details

### getType

protected String getType()

Overrides:
  `getType` in class `UsePageTEI`